# user_interaction.hpp File Reference

defines the interaction between libdar and the user. More...

`#include "infinint.hpp"`
`#include "../my_config.h"`
`#include <string>`
`#include "erreurs.hpp"`
`#include "integers.hpp"`

Go to the source code of this file.

## Classes
class | libdar::user_interaction
| This is a pure virtual class that is used by libdar when interaction with the user is required. More...
class | libdar::user_interaction_callback
| full implemented class for user_interaction based on callback functions. More...
## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

defines the interaction between libdar and the user.

Two classes are defined

- user_interaction is the root class that you can use to make your own classes
- user_interaction_callback is a specialized inherited class which is implements user interaction thanks to callback functions

Definition in file user_interaction.hpp.